Bug Hunting Session
Bug 99434 - documentProtection - forms ist not imported from docx
Summary: documentProtection - forms ist not imported from docx
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.3.0 target:5.2.1
Keywords:
Depends on:
Blocks: DOCX-Doc-Protection
  Show dependency treegraph
 
Reported: 2016-04-21 12:46 UTC by Oliver Specht (CIB)
Modified: 2018-10-24 06:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Document with form protection (18.08 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-04-21 12:46 UTC, Oliver Specht (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Specht (CIB) 2016-04-21 12:46:51 UTC
Created attachment 124549 [details]
Document with form protection

The setting <w:documentProtection w:enforcement="1" w:edit="forms"/> is not imported from docx-files. If imported it would only allow editing within form controls. All other content would be protected.
The same setting is imported from doc-files, see bug 81833.
Comment 1 Stefan Weiberg 2016-04-21 12:50:26 UTC
Confirmed on LibreOffice 5.0.5.2 and master.
Comment 2 Cor Nouws 2016-04-21 20:20:36 UTC
4.0.6.2 doesn't show the drop down field
4.3.7.2 has the same problem.

I've seem quite some doc files with form protection that keep that functionality. In general: have seen some irregularities now and then.
Comment 3 Commit Notification 2016-04-29 06:15:42 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=523a3d18e98cd51aa8bf76cf76314a22ddc2b2cf

tdf#99434: import/export documentProtection-forms from .docx incl. test

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-07-28 07:27:55 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d40ed9d0cd3c4a66d4ebf65d3a530f0fc5a8da17

tdf#99434 docx enable docprotection only when enforced

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-07-28 14:34:36 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6dfc4eb0163d501992d2f9726e4eec0565dd4eb0&h=libreoffice-5-2

tdf#99434 docx enable docprotection only when enforced

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.